## org.apache.mahout.math.jet.random
Class AbstractDiscreteDistribution

    java.lang.Object
      org.apache.mahout.math.PersistentObject
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractDiscreteDistribution

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.mahout.math.function.DoubleFunction, IntFunction, UnaryFunction

Direct Known Subclasses:
  Binomial, EmpiricalWalker, HyperGeometric, NegativeBinomial, Poisson, PoissonSlow, Zeta

    public abstract class AbstractDiscreteDistribution

extends AbstractDistribution

Abstract base class for all discrete distributions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`randomGenerator`

Constructor Summary
`protected` `AbstractDiscreteDistribution()` Makes this class non instantiable, but still let's others inherit from it.

Method Summary
`double` `nextDouble()` Returns a random number from the distribution; returns `(double) nextInt()`.
`abstract int` `nextInt()`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, setRandomGenerator`

Methods inherited from class org.apache.mahout.math.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDiscreteDistribution

    protected AbstractDiscreteDistribution()

  Makes this class non instantiable, but still let's others inherit from it.

Method Detail

### nextDouble

    public double nextDouble()

  Returns a random number from the distribution; returns `(double) nextInt()`.

  Specified by:
    `nextDouble` in class `AbstractDistribution`
  Returns:
    A new sample from this distribution.

### nextInt

    public abstract int nextInt()

  Specified by:
    `nextInt` in class `AbstractDistribution`
  Returns:
    A random number from the distribution; returns `(int) Math.round(nextDouble())`. Override this method if necessary.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.